
From: Alex Zarochentsev <zam@namesys.com>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/reiser4/spin_macros.h |   18 +++++-------------
 1 files changed, 5 insertions(+), 13 deletions(-)

diff -puN fs/reiser4/spin_macros.h~reiser4-spinlock-debugging-build-fix-2 fs/reiser4/spin_macros.h
--- 25/fs/reiser4/spin_macros.h~reiser4-spinlock-debugging-build-fix-2	2004-08-19 03:46:58.801222624 -0700
+++ 25-akpm/fs/reiser4/spin_macros.h	2004-08-19 03:46:58.804222168 -0700
@@ -45,20 +45,12 @@
 #define check_is_not_write_locked(s) ((void)(s), 1)
 
 /* Checks that spin lock @s is locked (or not) by the -current- thread. */
-#if defined(CONFIG_DEBUG_SPINLOCK) && defined(CONFIG_SMP)
-     /* Spin lock debugging in the kernel. This depends on patch that adds
-      * ->owner field to the spin lock. */
-#    define check_spin_is_not_locked(s) ((s)->owner != get_current())
-#    define spin_is_not_locked(s)       ((s)->owner == NULL)
-#    define check_spin_is_locked(s)     ((s)->owner == get_current())
+#define check_spin_is_not_locked(s) ((void)(s), 1)
+#define spin_is_not_locked(s)       ((void)(s), 1)
+#if defined(CONFIG_SMP)
+#    define check_spin_is_locked(s)     spin_is_locked(s)
 #else
-#    define check_spin_is_not_locked(s) ((void)(s), 1)
-#    define spin_is_not_locked(s)       ((void)(s), 1)
-#    if defined(CONFIG_SMP)
-#        define check_spin_is_locked(s)     spin_is_locked(s)
-#    else
-#        define check_spin_is_locked(s)     ((void)(s), 1)
-#    endif
+#    define check_spin_is_locked(s)     ((void)(s), 1)
 #endif
 
 #if REISER4_DEBUG_SPIN_LOCKS
_
